<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class ClearChatAction extends \Google\Protobuf\Internal\Message
{
    


    protected $messageRange = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getMessageRange()
    {
        return $this->messageRange;
    }

    public function hasMessageRange()
    {
        return isset($this->messageRange);
    }

    public function clearMessageRange()
    {
        unset($this->messageRange);
    }

    




    public function setMessageRange($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\SyncActionMessageRange::class);
        $this->messageRange = $var;

        return $this;
    }

}

